## org.apache.poi.ss.formula
Class FormulaParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.ss.formula.FormulaParseException

All Implemented Interfaces:
  java.io.Serializable

    public final class FormulaParseException

extends java.lang.RuntimeException

This exception thrown when a supplied formula has incorrect syntax (or syntax currently not supported by POI). It is primarily used by test code to confirm specific parsing exceptions. Application code should also handle this exception if it potentially supplies formula text that is not guaranteed to be well-formed.

Author:
  Josh Micich
See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.